from urllib.parse import urlencode

from stumpf.models import KwitLease


def assignment_url_from_lease(lease: KwitLease) -> str:
    qs = urlencode({**{
        'assignmentId': lease.assignment_id,
        'workerId': lease.user_id,
        'kwitId': lease.task_id,
    }, **lease.task.args})

    return f'{lease.task.annotation_app.url}?{qs}'
