import logging
import os


class ReloaderFilter(logging.Filter):
    """
    This is a filter which rejects logs emitted from the flask reloader thread.
    """
    def filter(self, record):
        return os.getenv('WERKZEUG_RUN_MAIN') == 'true'
